%define major		9
%define	libname		%mklibname mtp %{major}
%define develname	%mklibname mtp -d

Name:		libmtp
Summary:	Implementation of Microsoft's Media Transfer Protocol
Version:	1.1.20
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libmtp.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/libmtp/libmtp/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libgcrypt-devel
BuildRequires:	doxygen

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP)
in the form of a library suitable primarily for POSIX compliant
operating systems. We implement MTP Basic, the stuff proposed for
standardization. MTP Enhanced is for Windows only, if we implement
it, well that depends...

It was initially based on (forked from) the great libptp2 library
by Mariusz Woloszyn but has since been moved over to follow Marcus
Meissners and Hubert Figuere's libgphoto2 fork of libptp2 (or is libptp2
 a fork of libgphoto?). The core implementation is identical to
libgphoto2, there is just a different API adapted to portable media
players.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname mtp 5
Obsoletes:	%mklibname mtp 0
Obsoletes:	%mklibname mtp 6
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d mtp 5
Obsoletes:	%mklibname -d mtp 0

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package	doc
Summary:	Libmtp documentation
Group:		Documentation

%description	doc
This package contains documentation of libmtp.

%package	utils
Summary:	Tools provided by libmtp
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	mtp-utils = %{version}-%{release}

%description utils
This package contains various tools provided by libmtp.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static \
	--enable-doxygen \
	--with-udev-rules=60-libmtp.rules
%make_build

%install
%make_install

#-- FEDORA COPY
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libmtp.fdi %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
#-- FEDORA COPY
# Replace links with relative links
rm -f %{buildroot}%{_bindir}/mtp-delfile
rm -f %{buildroot}%{_bindir}/mtp-getfile
rm -f %{buildroot}%{_bindir}/mtp-newfolder
rm -f %{buildroot}%{_bindir}/mtp-sendfile
rm -f %{buildroot}%{_bindir}/mtp-sendtr
pushd %{buildroot}%{_bindir}
ln -sf mtp-connect mtp-delfile
ln -sf mtp-connect mtp-getfile
ln -sf mtp-connect mtp-newfolder
ln -sf mtp-connect mtp-sendfile
ln -sf mtp-connect mtp-sendtr
popd

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}/html
mv -f %{buildroot}/%{_datadir}/doc/%{name}-%{version}/html/* %{buildroot}/%{_datadir}/doc/%{name}/html/

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/libmtp.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

%files doc
%doc %{_datadir}/doc/%{name}/html

%files utils
%{_usr}/lib/udev/rules.d/*.rules
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
%{_usr}/lib/udev/hwdb.d/69-libmtp.hwdb
%{_usr}/lib/udev/mtp-probe
%{_bindir}/*


%changelog
* Thu Oct 20 2022 ghibo <ghibo> 1.1.20-1.mga9
+ Revision: 1897810
- Update to release 1.1.20

* Sun Jun 12 2022 dlucio <dlucio> 1.1.19-1.mga9
+ Revision: 1864121
- 1.1.19
- adds support to new devices such as Pixel 6

* Fri Mar 25 2022 umeabot <umeabot> 1.1.18-2.mga9
+ Revision: 1826937
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.1.18-1.mga8
+ Revision: 1651763
- 1.1.18

* Fri Feb 21 2020 umeabot <umeabot> 1.1.17-2.mga8
+ Revision: 1547907
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 1.1.17-1.mga8
+ Revision: 1488680
- new version: 1.1.17
- remove merged upstream patches
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 wally <wally> 1.1.16-2.mga7
+ Revision: 1369073
- add fixes for Nokia devices

* Fri Nov 30 2018 daviddavid <daviddavid> 1.1.16-1.mga7
+ Revision: 1336914
- new version: 1.1.16

* Sun Sep 23 2018 umeabot <umeabot> 1.1.15-2.mga7
+ Revision: 1299017
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 1.1.15-1.mga7
+ Revision: 1216228
- Update to version 1.1.15

* Tue May 23 2017 luigiwalser <luigiwalser> 1.1.13-1.mga6
+ Revision: 1104161
- 1.1.13

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.1.12-1.mga6
+ Revision: 1051254
- 1.1.12

* Mon May 09 2016 luigiwalser <luigiwalser> 1.1.11-1.mga6
+ Revision: 1011469
- 1.1.11

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.1.10-1.mga6
+ Revision: 917943
- revert chrpath addition as it is broken
- 1.1.10
- BR libgcrypt-devel
- use chrpath to remove rpath from binaries (thanks fedora)
- fix files list

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-4.mga5
+ Revision: 739514
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.8-3.mga5
+ Revision: 726797
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-2.mga5
+ Revision: 681622
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 1.1.8-1.mga5
+ Revision: 670052
- 1.1.8

* Sat Jul 05 2014 pterjan <pterjan> 1.1.6-3.mga5
+ Revision: 643705
- Replace libusb*-devel BuildRequires by better ones

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-2.mga4
+ Revision: 523269
- Mageia 4 Mass Rebuild

* Tue Apr 02 2013 dams <dams> 1.1.6-1.mga3
+ Revision: 407151
- new version 1.1.6

* Sat Jan 12 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 357809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.5-2.mga3
+ Revision: 305450
- Documentation group

* Mon Sep 17 2012 luigiwalser <luigiwalser> 1.1.5-1.mga3
+ Revision: 295479
- 1.1.5

* Fri Aug 24 2012 fedya <fedya> 1.1.4-1.mga3
+ Revision: 283646
- version update 1.1.4

* Sun Jun 03 2012 tv <tv> 1.1.3-1.mga3
+ Revision: 253648
- new release

* Sun Jan 22 2012 fwang <fwang> 1.1.2-1.mga2
+ Revision: 199401
- new version 1.1.2

* Sun Dec 04 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 175963
- drop old file
- new version 1.1.1

* Sun Jul 17 2011 fwang <fwang> 1.1.0-1.mga2
+ Revision: 125194
- new version 1.1.0

* Mon Apr 11 2011 ahmad <ahmad> 1.0.6-1.mga1
+ Revision: 83101
- configure with --with-udev-rules=60-libmtp.rules
- update to 1.0.6
- drop patch0 fixed upstream (Fedora)
- add --enable-doxygen to configure options

* Thu Mar 24 2011 boklm <boklm> 1.0.4-4.mga1
+ Revision: 76178
- rebuild for bug #497

* Thu Mar 17 2011 blino <blino> 1.0.4-3.mga1
+ Revision: 73308
- do not install udev rules twice, upstream Makefile already installs it

* Thu Mar 17 2011 dmorgan <dmorgan> 1.0.4-2.mga1
+ Revision: 72980
- Fix file list
- Specify the udev rule
- Use fedora spec file for  ( Replace links with relative links )
- Do not use program-prefix as mtp this will add mtp twice and break udev script

* Mon Jan 24 2011 ahmad <ahmad> 1.0.4-1.mga1
+ Revision: 35947
- update to 1.0.4
- drop 01-devices_small_fixes patch
- add patch to fix device OS descriptor probe code (Fedora)
- drop old/unneeded scriptlets
- don't ship .la
+ eandry <eandry>
- imported package libmtp


* Wed Dec 15 2010 Funda Wang <fwang@mandriva.org> 1.0.3-3mdv2011.0
+ Revision: 621868
- sync with fedora's udev rules
- add debian patch to fix recognize on iPhone 3GS (mdv#61710

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 550729
- New version 1.0.3

* Sat Feb 13 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 505246
- New version 1.0.2

* Thu Jan 21 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdv2010.1
+ Revision: 494520
- set acl in udev rules for libmtp devices
- move udev rules to /lib

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 438981
- update to new version 1.0.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 1.0.0-2mdv2010.0
+ Revision: 421441
- update build deps
- fix binary symlinks (bug #53177)

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 409510
- Update to new version 1.0.0
- Remove string format patch: not needed anymore
- Don't install file in /etc/security/console.perms.d: permissions should be
  set by udev

* Tue Mar 17 2009 Emmanuel Andry <eandry@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 356570
- New version 0.3.7

* Fri Feb 20 2009 Emmanuel Andry <eandry@mandriva.org> 0.3.6-3mdv2009.1
+ Revision: 343499
- bump release, package stuck in the bs
- New version 0.3.6

* Thu Jan 08 2009 Pixel <pixel@mandriva.com> 0.3.5-2mdv2009.1
+ Revision: 327067
- rebuild

* Wed Jan 07 2009 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.1
+ Revision: 326918
- fix str fmt
- New version 0.3.5

* Tue Dec 02 2008 Funda Wang <fwang@mandriva.org> 0.3.4-1mdv2009.1
+ Revision: 308964
- update to new version 0.3.4

* Fri Oct 10 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.3-1mdv2009.1
+ Revision: 291651
- update to new version 0.3.3

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 0.3.1-3mdv2009.0
+ Revision: 290760
- Add obsoletes to ease upgrade from Mdv 2008.0

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 0.3.1-2mdv2009.0
+ Revision: 282673
- provides mtp-utils

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 278771
- New version

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2009.0
+ Revision: 238228
- New version 0.3.0
- New major 7 -> 8

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 Funda Wang <fwang@mandriva.org> 0.2.6.1-1mdv2009.0
+ Revision: 196107
- update to new version 0.2.6.1

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 0.2.5-1mdv2008.1
+ Revision: 155564
- update to new version 0.2.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2008.1
+ Revision: 115549
- update to new version 0.2.4

  + Götz Waschk <waschk@mandriva.org>
    - fix dep on %%name-utils to ease upgrades on libname change

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2008.1
+ Revision: 102616
- New version 0.2.3
- New major of libmtp ( 6->7 )

* Fri Oct 19 2007 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2008.1
+ Revision: 100226
- update to new version 0.2.2
- correct source url

* Sun Aug 26 2007 Funda Wang <fwang@mandriva.org> 0.2.1-2mdv2008.0
+ Revision: 71702
- blindly merge fedora things on hotplug stuff

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 64519
- New version 0.2.1

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.2.0-3mdv2008.0
+ Revision: 59117
- Split binary files into seperate package

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.2.0-2mdv2008.0
+ Revision: 59059
- Obsoletes old major

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 59034
- New version (new major!)

* Mon May 21 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.1.5-1mdv2008.0
+ Revision: 29013
- new release: 0.1.5


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.3-4mdv2007.1
+ Revision: 146597
- split out doc

  + Emmanuel Andry <eandry@mandriva.org>
    - add patch from sourceforge for various fixes

* Tue Jan 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.1.3-2mdv2007.1
+ Revision: 112565
- configure with --program-prefix=mtp- (#bug 27710)
  disable static

* Mon Jan 22 2007 Emmanuel Andry <eandry@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 111646
- New version 0.1.3

* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 108785
- New release 0.1.2
  New major 5

* Tue Dec 26 2006 Emmanuel Andry <eandry@mandriva.org> 0.1.0-3mdv2007.1
+ Revision: 102088
- enable hotplugging
  include documentation

* Sun Dec 10 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-2mdv2007.1
+ Revision: 94547
- fix libname

* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.1.0-1mdv2007.1
+ Revision: 94179
- New version 0.1.0
  new major

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.21-2mdv2007.1
+ Revision: 90223
- buildrequires doxygen

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.21-1mdv2007.1
+ Revision: 90152
- New version 0.0.21
- Import libmtp

* Wed Aug 30 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.15-1mdv2007.0
- 0.0.15

* Thu Aug 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.12-1mdv2007.0
- initial Mandriva release

